--- a/R-base.spec	2025-06-05 02:29:03.690878686 +0000
+++ b/R-base.spec	2025-06-05 02:29:03.711878955 +0000
@@ -325,6 +325,7 @@
 Group: Sciences/Mathematics
 Requires: R-base = %version-%release
 Requires: xdg-utils
+BuildArch: noarch
 
 %description -n R-doc-html
 R is 'GNU S' - A language and environment for statistical computing
--- a/R-base.spec	2025-06-05 02:29:03.711878955 +0000
+++ b/R-base.spec	2025-06-05 02:29:03.732879224 +0000
@@ -349,6 +349,7 @@
 Group: Sciences/Mathematics
 Conflicts: R-base > %version, R-base < %version
 Requires: xdg-utils
+BuildArch: noarch
 
 %description -n R-doc-pdf
 R is 'GNU S' - A language and environment for statistical computing
--- a/aptitude.spec	2025-06-05 02:29:04.237885688 +0000
+++ b/aptitude.spec	2025-06-05 02:29:04.240885726 +0000
@@ -37,6 +37,7 @@
 #BuildArch: noarch
 Conflicts: %name < %version-%release
 Conflicts: %name > %version-%release
+BuildArch: noarch
 
 %description doc
 aptitude is a terminal-based apt frontend.  This package contains
--- a/arrow.spec	2025-06-05 02:29:04.315886686 +0000
+++ b/arrow.spec	2025-06-05 02:29:04.338886981 +0000
@@ -244,6 +244,7 @@
 %package glib-doc
 Summary: Documentation for Apache Arrow GLib
 Group: Development/Documentation
+BuildArch: noarch
 
 %description glib-doc
 Documentation for Apache Arrow GLib.
--- a/blender.spec	2025-06-05 02:29:04.875893854 +0000
+++ b/blender.spec	2025-06-05 02:29:04.889894034 +0000
@@ -239,6 +239,7 @@
 Summary: Documentation for Blender
 Group: Documentation
 Requires: %name = %EVR
+BuildArch: noarch
 
 %description doc
 Fully integrated creation suite, offering a broad range of essential
--- a/breeze-gtk.spec	2025-06-05 02:29:04.997895416 +0000
+++ b/breeze-gtk.spec	2025-06-05 02:29:05.000895454 +0000
@@ -35,6 +35,7 @@
 Provides: gtk2-theme-breeze = %version-%release
 Provides: gtk3-theme-breeze = %version-%release
 Provides: gtk4-theme-breeze = %version-%release
+BuildArch: noarch
 %description -n gtk-theme-breeze
 %{description}
 
--- a/chafa.spec	2025-06-05 02:29:05.388900421 +0000
+++ b/chafa.spec	2025-06-05 02:29:05.391900459 +0000
@@ -58,6 +58,7 @@
 %package doc
 Summary: %sum (documentation)
 Group: Development/Documentation
+BuildArch: noarch
 #Recommends:     %name-devel
 
 %description doc
--- a/coinor-osi.spec	2025-06-05 02:29:05.563902661 +0000
+++ b/coinor-osi.spec	2025-06-05 02:29:05.569902737 +0000
@@ -94,6 +94,7 @@
 Summary:       Documentation files for %name
 
 Requires:      %{name} = %EVR
+BuildArch: noarch
 
 %description   doc
 Osi (Open Solver Interface) provides an abstract base class to a generic linear
--- a/dart.spec	2025-06-05 02:29:05.757905144 +0000
+++ b/dart.spec	2025-06-05 02:29:05.761905195 +0000
@@ -63,6 +63,7 @@
 %package docs
 Summary: Documentation for %name
 Group: Documentation
+BuildArch: noarch
 
 %description docs
 %summary
--- a/ddd.spec	2025-06-05 02:29:05.861906475 +0000
+++ b/ddd.spec	2025-06-05 02:29:05.866906539 +0000
@@ -32,6 +32,7 @@
 Summary: HTML documentation for %name
 Group: Development/Other
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %package doc-ps
 Summary: PostScript documentation for %name
--- a/dogtag-pki.spec	2025-06-05 02:29:06.083909316 +0000
+++ b/dogtag-pki.spec	2025-06-05 02:29:06.105909598 +0000
@@ -392,6 +392,7 @@
 Group: Networking/Other
 Provides: pki-server-theme = %EVR
 Obsoletes: pki-server-theme < %EVR
+BuildArch: noarch
 
 %description -n dogtag-pki-server-theme
 This Dogtag PKI Server Theme Package contains textual and graphical user
--- a/dogtag-pki.spec	2025-06-05 02:29:06.105909598 +0000
+++ b/dogtag-pki.spec	2025-06-05 02:29:06.129909905 +0000
@@ -236,6 +236,7 @@
 Requires: dogtag-pki-server
 Provides: pki-ca = %EVR
 Obsoletes: pki-ca < %pki_rebranded_version
+BuildArch: noarch
 
 %description -n dogtag-pki-ca
 The Certificate Authority (CA) is a required Dogtag PKI subsystem which issues,
--- a/fontforge.spec	2025-06-05 02:29:07.251924267 +0000
+++ b/fontforge.spec	2025-06-05 02:29:07.255924318 +0000
@@ -64,6 +64,7 @@
 %package docs
 Summary: FontForge documentations
 Group: Publishing
+BuildArch: noarch
 
 %description docs
 FontForge documentations
--- a/fpc.spec	2025-06-05 02:29:07.534927889 +0000
+++ b/fpc.spec	2025-06-05 02:29:07.559928209 +0000
@@ -1005,6 +1005,7 @@
 %package docs
 Group: Documentation
 Summary: Free Pascal Compiler - Documentation
+BuildArch: noarch
 
 %description docs
 This package provides documentation for the Free Pascal Compiler in HTML
--- a/furnace.spec	2025-06-05 02:29:07.897932535 +0000
+++ b/furnace.spec	2025-06-05 02:29:07.900932574 +0000
@@ -56,6 +56,7 @@
 %package doc
 Group: Documentation
 Summary: Documentation files for furnace
+BuildArch: noarch
 
 %description doc
 These are the documentation files for the furnace chiptune synth.
--- a/gdcm.spec	2025-06-05 02:29:08.043934404 +0000
+++ b/gdcm.spec	2025-06-05 02:29:08.055934557 +0000
@@ -224,6 +224,7 @@
 %package examples
 Summary: CSharp, C++, Java, PHP and Python example programs for GDCM
 Group: Development/Other
+BuildArch: noarch
 
 %description examples
 GDCM examples
--- a/ghc.spec	2025-06-05 02:29:08.272937335 +0000
+++ b/ghc.spec	2025-06-05 02:29:08.282937463 +0000
@@ -153,6 +153,7 @@
 %package doc
 Summary: Documentation for GHC
 Group: Development/Haskell
+BuildArch: noarch
 
 %description doc
 Preformatted documentation for the Glasgow Haskell Compiler
--- a/ghc.spec	2025-06-05 02:29:08.336938154 +0000
+++ b/ghc.spec	2025-06-05 02:29:08.345938269 +0000
@@ -147,6 +147,7 @@
 %package doc
 Summary: Documentation for GHC
 Group: Development/Haskell
+BuildArch: noarch
 
 %description doc
 Preformatted documentation for the Glasgow Haskell Compiler
--- a/ghc.spec	2025-06-05 02:29:08.402938999 +0000
+++ b/ghc.spec	2025-06-05 02:29:08.411939114 +0000
@@ -158,6 +158,7 @@
 %package doc
 Summary: Documentation for GHC
 Group: Development/Haskell
+BuildArch: noarch
 
 %description doc
 Preformatted documentation for the Glasgow Haskell Compiler
--- a/glib2.spec	2025-06-05 02:29:08.575941213 +0000
+++ b/glib2.spec	2025-06-05 02:29:08.590941405 +0000
@@ -174,6 +174,7 @@
 Provides: %name-devel-doc = %version
 Obsoletes: %name-devel-doc < %version
 Conflicts: %name < %version, %name > %version
+BuildArch: noarch
 #BuildArch: noarch
 
 %description doc
--- a/itpp.spec	2025-06-05 02:29:09.138948419 +0000
+++ b/itpp.spec	2025-06-05 02:29:09.143948483 +0000
@@ -81,6 +81,7 @@
 Summary: Documentation for %name
 Group: Documentation
 Requires: %libname = %version
+BuildArch: noarch
 
 %description doc
 This package contains the documentation for the IT++ as html and man pages.
--- a/java3d.spec	2025-06-05 02:29:09.494952976 +0000
+++ b/java3d.spec	2025-06-05 02:29:09.501953066 +0000
@@ -81,6 +81,7 @@
 Group:		Development/Java
 Requires:	%{name} = %{version}-%{release}
 Requires:	javapackages-tools
+BuildArch: noarch
 
 %description examples
 The Java 3D API.
--- a/kbd.spec	2025-06-05 02:29:09.766956458 +0000
+++ b/kbd.spec	2025-06-05 02:29:09.778956611 +0000
@@ -72,6 +72,7 @@
 %package -n %name-docs
 Group: Documentation
 Summary: Documentation for kbd
+BuildArch: noarch
 
 %description -n %name-docs
 Documentation for kbd
--- a/liberasurecode.spec	2025-06-05 02:29:12.739994510 +0000
+++ b/liberasurecode.spec	2025-06-05 02:29:12.741994536 +0000
@@ -22,6 +22,7 @@
 %package doc
 Summary: Documentation for %name
 Group: System/Libraries
+BuildArch: noarch
 
 %description doc
 The documentation for %name.
--- a/libltc.spec	2025-06-05 02:29:13.055998555 +0000
+++ b/libltc.spec	2025-06-05 02:29:13.058998593 +0000
@@ -38,6 +38,7 @@
 %package docs
 Summary: Developer's documentation for %name
 Group:   Development/Documentation
+BuildArch: noarch
 
 %description docs
 This package contains the documentation for %name.
--- a/libopencv.spec	2025-06-05 02:29:13.116999336 +0000
+++ b/libopencv.spec	2025-06-05 02:29:13.129999502 +0000
@@ -236,6 +236,7 @@
 Conflicts: lib%{bname}3.4-examples < %EVR
 Obsoletes: lib%{bname}3.4-examples < %EVR
 AutoReq:no
+BuildArch: noarch
 
 %description examples
 %Name means Intel(R) Open Source Computer Vision Library. It is a
--- a/libopenjpeg2.0.spec	2025-06-05 02:29:13.188000244 +0000
+++ b/libopenjpeg2.0.spec	2025-06-05 02:29:13.193000308 +0000
@@ -62,6 +62,7 @@
 Group: Development/Documentation
 #BuildArch: noarch
 Conflicts: %name < %version
+BuildArch: noarch
 
 %description devel-doc
 The %name-devel-doc package includes documentation necessary for
--- a/tclap.spec	2025-06-05 02:29:13.428003316 +0000
+++ b/tclap.spec	2025-06-05 02:29:13.431003355 +0000
@@ -37,6 +37,7 @@
 %package doc
 Summary: Documentation files for %name
 Group: Documentation
+BuildArch: noarch
 
 %description doc
 TCLAP is a small, flexible library that provides a simple interface for
--- a/libtracefs.spec	2025-06-05 02:29:13.480003982 +0000
+++ b/libtracefs.spec	2025-06-05 02:29:13.483004020 +0000
@@ -46,6 +46,7 @@
 %package doc
 Summary: %summary (Documentation)
 Group: Development/Documentation
+BuildArch: noarch
 
 %description doc
 %summary.
--- a/log4cplus.spec	2025-06-05 02:29:13.751007450 +0000
+++ b/log4cplus.spec	2025-06-05 02:29:13.756007514 +0000
@@ -54,6 +54,7 @@
 %package -n lib%name-devel-docs
 Summary: Development documentation for logging library to C++
 Group: Development/Documentation
+BuildArch: noarch
 
 %description -n lib%name-devel-docs
 log4cplus is a simple to use C++ logging API providing thread-safe,
--- a/mmg.spec	2025-06-05 02:29:14.342015015 +0000
+++ b/mmg.spec	2025-06-05 02:29:14.350015117 +0000
@@ -153,6 +153,7 @@
 Summary:        Development documentation for mmg3d
 Group:          Development/C
 Requires:       mmg3d = %EVR
+BuildArch: noarch
 
 %description -n mmg3d-devel-doc
 The mmg3d-devel-doc package contains the documentation for developing
--- a/opam.spec	2025-06-05 02:29:16.504042687 +0000
+++ b/opam.spec	2025-06-05 02:29:16.507042725 +0000
@@ -60,6 +60,7 @@
 Summary: Documentation files for %name
 Group: Documentation
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description doc
 The %name-doc package contains documentation for using %name.
--- a/openpace.spec	2025-06-05 02:29:16.651044568 +0000
+++ b/openpace.spec	2025-06-05 02:29:16.655044619 +0000
@@ -58,6 +58,7 @@
 %package docs
 Summary: Library for %name
 Group: Development/Documentation
+BuildArch: noarch
 
 %description docs
 %summary
--- a/openshadinglanguage.spec	2025-06-05 02:29:16.723045489 +0000
+++ b/openshadinglanguage.spec	2025-06-05 02:29:16.730045579 +0000
@@ -99,6 +99,7 @@
 %package doc
 Summary: Documentation for OpenShadingLanguage
 Group: Documentation
+BuildArch: noarch
 
 %description doc
 Open Shading Language (OSL) is a small but rich language
--- a/partio.spec	2025-06-05 02:29:17.129050686 +0000
+++ b/partio.spec	2025-06-05 02:29:17.133050737 +0000
@@ -58,6 +58,7 @@
 %package doc
 Summary: A library for particle IO and manipulation
 Group: Documentation
+BuildArch: noarch
 
 %description doc
 C++ (with python bindings) library for easily reading/writing/manipulating
--- a/pinephone-keyboard.spec	2025-06-05 02:29:17.583056497 +0000
+++ b/pinephone-keyboard.spec	2025-06-05 02:29:17.588056561 +0000
@@ -63,6 +63,7 @@
 Requires: %name = %version-%release
 
 ExcludeArch: armh ppc64le
+BuildArch: noarch
 
 %description doc
 This package contains documentation and scheme for
--- a/qt-creator.spec	2025-06-05 02:29:18.186064215 +0000
+++ b/qt-creator.spec	2025-06-05 02:29:18.194064317 +0000
@@ -140,6 +140,7 @@
 %endif
 Requires: qt6-base-doc
 Requires: qt6-tools
+BuildArch: noarch
 
 %description doc
 Documentation for %name
--- a/qtfeedback.spec	2025-06-05 02:29:18.416067158 +0000
+++ b/qtfeedback.spec	2025-06-05 02:29:18.419067197 +0000
@@ -41,6 +41,7 @@
 Summary: Document for developing apps which will use Qt5 %qt_module
 Group: Development/KDE and QT
 Requires: %name-common = %EVR
+BuildArch: noarch
 %description doc
 This package contains documentation for Qt5 %qt_module
 
--- a/qxmpp-qt5.spec	2025-06-05 02:29:18.856072790 +0000
+++ b/qxmpp-qt5.spec	2025-06-05 02:29:18.861072854 +0000
@@ -59,6 +59,7 @@
 Group: Development/KDE and QT
 Conflicts: lib%name < %version
 Conflicts: lib%_name
+BuildArch: noarch
 
 %description doc
 QXmpp is a cross-platform C++ XMPP client library. It is based on Qt and
--- a/ruby.spec	2025-06-05 02:29:19.067075490 +0000
+++ b/ruby.spec	2025-06-05 02:29:19.080075657 +0000
@@ -211,6 +211,7 @@
 Summary:       Ruby manuals and documentation
 Group:         Development/Documentation
 Requires:      ruby = %_version-%release
+BuildArch: noarch
 
 %description   doc-html
 Ruby is an interpreted scripting language for quick and easy object-oriented
--- a/rust.spec	2025-06-05 02:29:19.114076092 +0000
+++ b/rust.spec	2025-06-05 02:29:19.126076246 +0000
@@ -131,6 +131,7 @@
 %package doc
 Summary: Documentation for Rust
 Group: Development/Documentation
+BuildArch: noarch
 # NOT BuildArch: noarch
 # Note, while docs are mostly noarch, some things do vary by target_arch.
 
--- a/simbody.spec	2025-06-05 02:29:19.332078882 +0000
+++ b/simbody.spec	2025-06-05 02:29:19.335078921 +0000
@@ -53,6 +53,7 @@
 %package docs
 Summary: Documentation for %name
 Group: Development/Documentation
+BuildArch: noarch
 
 %description docs
 %summary
--- a/swi-prolog.spec	2025-06-05 02:29:19.735084040 +0000
+++ b/swi-prolog.spec	2025-06-05 02:29:19.741084117 +0000
@@ -83,6 +83,7 @@
 Summary: Documentation for %name
 Requires: %name-nox = %version-%release
 AutoReqProv: no
+BuildArch: noarch
 
 %description doc
 Documentation for SWI-Prolog.
--- a/virtualbox.spec	2025-06-05 02:29:20.602095137 +0000
+++ b/virtualbox.spec	2025-06-05 02:29:20.629095482 +0000
@@ -328,6 +328,7 @@
 Summary: VirtualBox documentation
 Group: Documentation
 Requires: %name = %version-%release
+BuildArch: noarch
 
 %description doc
 This package contains VirtualBox User Manual.
--- a/wireplumber.spec	2025-06-05 02:29:20.773097325 +0000
+++ b/wireplumber.spec	2025-06-05 02:29:20.781097428 +0000
@@ -51,6 +51,7 @@
 %package doc
 Summary: docs for the client library for WirePlumber
 Group: Documentation
+BuildArch: noarch
 
 %package -n lib%libname
 Summary: the client library for WirePlumber
--- a/wireplumber.spec	2025-06-05 02:29:20.814097850 +0000
+++ b/wireplumber.spec	2025-06-05 02:29:20.820097927 +0000
@@ -54,6 +54,7 @@
 %package doc
 Summary: docs for the client library for WirePlumber
 Group: Documentation
+BuildArch: noarch
 
 %package -n lib%libname
 Summary: the client library for WirePlumber
--- a/wvstreams.spec	2025-06-05 02:29:20.855098375 +0000
+++ b/wvstreams.spec	2025-06-05 02:29:20.865098503 +0000
@@ -76,6 +76,7 @@
 Group: Development/Documentation
 Requires: lib%name-devel = %version-%release
 Provides: %name-doxy-manual = %version-%release
+BuildArch: noarch
 %description -n lib%name-devel-doc
 WvStreams aims to be an efficient, secure, and easy-to-use library
 for doing network applications development.
--- a/z3.spec	2025-06-05 02:29:21.018100461 +0000
+++ b/z3.spec	2025-06-05 02:29:21.022100512 +0000
@@ -48,6 +48,7 @@
 %package -n lib%name-devel-docs
 Summary: Documentation for %name
 Group: Development/Documentation
+BuildArch: noarch
 
 %description -n lib%name-devel-docs
 Z3 is a high-performance theorem prover being developed at Microsoft
